### Namespace

# Hex – 4

Hex widget and document backend for GTK

Version | 4.8.0
Authors | The GHex authors
License | GPL-2.1-or-later
Website | https://gitlab.gnome.org/GNOME/ghex/
Source | https://gitlab.gnome.org/GNOME/ghex/

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation
GdkPixbuf—2.0 | Image loading library
| Browse documentation
Pango—1.0 | Text shaping and rendering
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Document
Widget
WidgetMark

#### Interfaces

Buffer

#### Structs

ChangeData
DocumentFindData
WidgetAutoHighlight

#### Enumerations

ChangeType
WidgetGroupType

#### Bitfields

SearchFlags

#### Callbacks

BufferNewFunc